import sys, re
import csv
import matplotlib.pyplot as plt
import numpy as np
from pylab import *
import math
from matplotlib.backends.backend_pdf import PdfPages
import os
from textwrap import wrap
import glob

x = []
y = []
x1 = []
y1 = []

with open("200um 0 223.txt", "rb") as f:
	f.readline()
	for line in f:
		column = line.split()
		x.append(float(column[0]))
		y.append(float(column[1]))
# 		maximum_w = max(y)
# print maximum_w

with open("200um 22 223.txt", "rb") as d:
	d.readline()
	for line in d:
		column = line.split()
		x1.append(float(column[0]))
		y1.append(float(column[1]))
# 		maximum_e = max(y1)
# print maximum_e

with PdfPages("180 um LPG.pdf") as pdf:
	ax = subplot(1,1,1)
	# plt.plot(x, y, x1, y1, "-")
	plt.xlabel("Wavelength (nm)")
	plt.ylabel("Transmission Intensity (a.u.)")
	# plt.title("UV irradiated optical fibre at a period of 180 um", y=1.05)
	p1, = ax.plot(x, y, label="Baseline")
	p2, = ax.plot(x1, y1, label="180 um LPG")
	handles, labels = ax.get_legend_handles_labels()
	ax.legend(loc = "upper right")
	pdf.savefig()
	# plt.show()


